Subject: Re: bug#12067: 24.1; improper menu formatting with multiple \t chars

From: Eli Zaretskii <[email-masked]>
Date: Sun, 29 Jul 2012 05:49:25 +0300

> From: "Drew Adams" <[email-masked]>
> Cc: <[email-masked]>
> Date: Sat, 28 Jul 2012 13:10:50 -0700
> 
> > If we care about this issue, we could perhaps expand TABs into the
> > appropriate number of spaces, before passing the menu items to the
> > toolkit.
> 
> I thought of that, but menu items are often realized using proportional fonts.
> 
> What is really needed, I guess, is the equivalent of `move-to-column'.

move-to-column won't help, as it doesn't take pixel width of each
character into account.